Subject: Re: [bitcoin-dev] Inquiry: Transaction Tiering

From: Martin Stolze <[email-masked]>
Date: Tue, 28 Mar 2017 20:51:02 +0100

As I alluded to before, certain language lends itself to simple conclusions.
You say that "miner" have simple profit motives and compete only in
their respective domains. But what is "mining"?

It is the process of acquiring a part of the block space. He who
acquires that space can decide over this particular space. (1) Your
entire theory falls apart at the point of an empty block. (2) "The
pursuit of profit can come at the expense of Bitcoin:"
(https://twitter.com/ToneVays/status/835233366203072513). (3) Bitcoin
has additional value, like a brand value that could be diverted.
- The market can be gamed for profit. Really.

> So... miners don't really have any authority.

I fall back on Carl Schmitt according to which the sovereign is he who
decides on the state of exception: If there is some person or
institution, in a given polity, capable of bringing about a total
suspension of the law and then to use extra-legal force to normalize
the situation, then that person or institution is the sovereign in
that polity.
- That is spot on, I don't know why the rest of the political theory
shouldn't apply.

> Using miner signalling to determine when/whether SegWit is activated [...]

I didn't think of that, but you are right. The problem is just that it
didn't just give them the impression that they have authority, it
actually transferred the authority.

Again: "The question is simply what legitimate authority a node has."
- You gave legitimacy to their authority! Core did!
(Conversely, the intelligence service of some dictatorship may get
enough hash power to claim authority over the block space, however,
this would have zero legitimacy and could easily be dealt with.)

:(

miner signaling ... just "miner", right?

Thanks for helping me understand.
Martin

On Tue, Mar 28, 2017 at 8:02 AM, praxeology_guy
<[email-masked]> wrote:
> Martin:
>
> Re: Block Space Authority, or "authority": in general
>
> An authority dictates policy.
>
> Authority arises in 4 cases off the top of my head:
> - Authority because entity threats violence/dominance
> - Authority because entity's claim to property is respected to maintain
> friendship/benefits of specialization and trade. (one has authority over
> one's own property/business/contractually agreed claims)
> - Authority because entity claims divine inspiration, and others accept such
> a claim
> - Authority because entity gained respect and was voluntarily delegated
>
> "Miners" do not fit in any of these categories.  In fact "miners" do the
> exact opposite, their policy is dictated by market demand.  They do us the
> service of creating block candidates.  If a miner is a good businessman, he
> mines whatever currency gives him the most profit.  The end users decide the
> policy and which currency is worth anything.  Hence the users are the ones
> dictating to the miners how much work they should perform on each coin.
>
> Miners compete against each other until there is only very slim profit.  If
> they are devoting too much work to a coin they spend too much on
> energy/computers/network, and they have losses, so they reduce capacity on
> that coin.  If mining a coin is extremely profitable, they expand their work
> until there is no profit.
>
> So... miners don't really have any authority.  Or if for some reason
> somebody does give them authority, its due to either the Divine (lol
> unlikely) or Respect reasons above... which is an unfounded/insecure reason.
>
> Using miner signalling to determine when/whether SegWit is activated was a
> mistake in any extent that gave people the implication that miners have any
> authority.  It was a poor way to schedule its activation. We assumed that
> the miners would activate it in a reasonable time because SegWit is
> undeniably good, so we just used this method to try to prevent a soft fork.
> Instead I recommend my proposed BitcoinUpdateBoard
> https://pastebin.com/ikBGPVfR.  Or bitcoin core could include more entities
> such as specific miners and exchanges in their table located here:
> https://bitcoincore.org/en/segwit_adoption/.
>
> We already have come to consensus that SegWit is good.  So we should just
> schedule a date to activate it in the future where market participants have
> a reasonable time to prepare.
>
> Cheers,
> Praxeology Guy